GST To HSN
Introduction
This API gives you the HSN details of the company whose GSTIN number is provided.
How to call the API
You will need to login before sending GST to HSN List request. You are required to pass the access token received from the login call, as authorization header in the GST request along with GSTIN Number.
API Input Guidelines
GSTIN number is the mandatory parameter to be passed.
Sample Curl
curl --location 'https://api-preproduction.signzy.app/api/v3/internals/gstn/gst-to-hsn' \
--header 'Authorization: <Auth Token>' \
--header 'Content-Type: application/json' \
--data '{
"gstin": "<GSTIN Number>"
}'Input Parameters
PARAMETER NAME | DESCRIPTION | REQUIRED/OPTIONAL |
|---|---|---|
Authorization | Contains the id parameter returned from the login step | Required |
Content-Type | application/json | Required |
gstin | GSTIN number for which the details need to be fetched | Required |
Sample Response
{
"gstin": "<Gstin number>",
"id": 16,
"result": {
"natureOfCoreBusinessActivity": "NA",
"legalNameOfBusiness": "",
"taxPayerType": "REGULAR",
"cancellationDate": "-",
"gstin": "",
"natureOfBusinessActivities": "",
"complianceRating": "NA",
"registrationDate": "",
"constitutionOfBusiness": "",
"principalPlaceAddress": "",
"gstinStatus": "NOT MIGRATED",
"tradeNameOfBusiness": "",
"hsnGoods": [],
"hsnServices": [],
"administrativeOffice": "",
"otherOffice": ""
}
}Response Parameters
Parameter Name | Description |
|---|---|
gstin | GSTIN number passed in request body |
id | Uniquey id of identity |
result | This object contains the actual result of the response |
result.natureOfCoreBusinessActivity | It describes nature of core business activity |
result.legalNameOfBusiness | Name of the company |
result.taxPayerType | Tax payer type (i.e regular/irregular) |
result.cancellationDate | Date of cancellation |
result.gstin | GSTIN number of the company |
result.natureOfBusinessActivities | It describes nature of business Activity |
result.complianceRating | It holds compliance rating details. |
result.registrationDate | Date of registration information. |
result.constitutionOfBusiness | Constitution of bussiness details |
result.principalPlaceAddress | Principal place address details. |
result.gstinStatus | Status of the entered gstin. |
result.tradeNameOfBusiness | Name of business used for trading. |
result.hsnGoods | HSN Goods details. |
result.hsnServices | HSN services details. |
result.administrativeOffice | Administrative office details. |
result.otherOffice | Details about other office. |
State Codes
CODE | MESSAGE |
|---|---|
404 | GSTIN not found |
400 | PAN number is not valid |
409 | Error in getting Data from Upstream |
409 | Error in fetching data |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].